Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004790OCamlOCaml generalpublic2009-05-14 13:452009-05-19 14:34
Reportervouillon 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.11.0 
Target VersionFixed in Version3.11.1+dev 
Summary0004790: Windows error ERROR_NO_DATA should be mapped to EPIPE
DescriptionUnder Windows, writing to a pipe results in an ERROR_NO_DATA error when the other end of the pipe is closed. This error should therefore be mapped to the EPIPE Unix error (patch attached).

Note that there is an ERROR_BROKEN_PIPE error already mapped to EPIPE, but the error occurs when trying to read from a closed pipe. (Under Unix, the read would simply return 0 to signal an end of file.)
TagsNo tags attached.
Attached Filestxt file icon patch2.txt [^] (428 bytes) 2009-05-14 13:45 [Show Content]

- Relationships

-  Notes
(0004959)
xleroy (administrator)
2009-05-19 14:34

Thanks for the patch. Applied in 3.11 release branch, will go in release 3.11.1.

- Issue History
Date Modified Username Field Change
2009-05-14 13:45 vouillon New Issue
2009-05-14 13:45 vouillon File Added: patch2.txt
2009-05-15 17:08 doligez Status new => acknowledged
2009-05-19 14:34 xleroy Note Added: 0004959
2009-05-19 14:34 xleroy Status acknowledged => closed
2009-05-19 14:34 xleroy Resolution open => fixed
2009-05-19 14:34 xleroy Fixed in Version => 3.11.1+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker